<?php
/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/

// Page contenant la gestion des pages
if ( VerifGET ("id", "#[a-z]+#i", 3, 30) == "ChaineValide" )
{
	if ( VerifGET("ids", "#[a-z]+#i", 3, 30) == "ChaineValide" )
	{
		$SelectPage = $MySql->Select ("*", "page", "Page1='".$_GET['id']."' AND Page2='".$_GET['ids']."'", "", "", "", "");
		
		if ( $SelectPage != FALSE )	
		{
			if ( $SelectPage[0]["Activation"] == "oui" )
			{
				if(file_exists($SelectPage[0]["Chemin"]))
				{
					require ($SelectPage[0]["Chemin"]);
				}
				else
				{
					require ('module/erreur/inconnu.php');
				}
			}
			else
			{
				require ('module/erreur/desactive.php');
			}
		}
		else
		{
			require ('module/erreur/inconnu.php');
		}
	}
	else
	{
		require ('module/accueil.php');
	}
}
else
{
	require ('module/accueil.php');
}

?>
